#!/bin/sh
EBOX4300=`fgrep /dev/hdc1 /etc/fstab`
PLUG=`fgrep /dev/sda1 /etc/fstab`
ROOT=`pwd`
cp inst-fstab.hda /etc/fstab.hda
cp inst-fstab.hdc /etc/fstab.hdc
cp inst-fstab.sda /etc/fstab.sda
if [ -n "$EBOX4300" ]
then
  cp inst-fstab.hdc /etc/fstab
else
  if [ -n "$PLUG" ]
  then
    cp inst-fstab.sda /etc/fstab
  else
    cp inst-fstab.hda /etc/fstab
  fi
fi
echo "meteohub:x:1000:1000:meteohub,,,:/home/meteohub:/bin/bash" >>/etc/passwd
echo "www:x:33:" >>/etc/group
mkdir -p /data
mkdir -p /server
mount -a
mkdir -p /var/cron/
cd /var/cron
ln -fs ../spool/cron/crontabs tabs
echo -n "" >/var/cron/log
cd $ROOT
/usr/bin/crontab -u root inst-root
mkdir -p /etc/rc.boot
cp inst-initsensors /etc/rc.boot/initsensors
cp inst-emergencyip /etc/network/if-up.d/emergencyip
cp inst-meteonetd /etc/init.d/meteonetd
update-rc.d meteonetd defaults
cp inst-loggerd /etc/init.d/loggerd
update-rc.d loggerd defaults
cp inst-rsyncd /etc/init.d/rsyncd
update-rc.d rsyncd defaults
cp inst-thttpd /etc/init.d/thttpd
update-rc.d thttpd defaults
if [ -n "$PLUG" ]
then
  echo -n ""
else
  cp inst-networking /etc/init.d/networking
  update-rc.d networking defaults
  cp inst-ntp /etc/init.d/ntp
  update-rc.d ntp defaults
fi
cp inst-smb.conf /etc/samba/smb.conf
cp inst-smbpasswd /etc/samba/smbpasswd
cp inst-rsyncd.conf /etc/rsyncd.conf
cp inst-thttpd.conf /etc/thttpd.conf
cp inst-thttpd-backup.conf /etc/thttpd-backup.conf
cp inst-sysctl.conf /etc/sysctl.conf
cp inst-ntp.conf /etc/ntp.conf
cp inst-syslog.conf /etc/syslog.conf
cd /usr/local/bin
ln -fs /usr/bin/esmtp esmtp
cd /usr/bin
ln -fs /etc/init.d/meteonetd rcmeteonetd
ln -fs /etc/init.d/loggerd rcloggerd
ln -fs /etc/init.d/ntp rcntpd
ln -fs /etc/init.d/rsyncd rcrsyncd
ln -fs /etc/init.d/samba rcsmbd
ln -fs /etc/init.d/ssh rcsshd
ln -fs /etc/init.d/thttpd rcthttpd
cd /opt
ln -fs /usr/local/bin bin
ln -fs /usr/sbin sbin
ln -fs ../usr/share share
ln -fs /usr/share/zoneinfo/posix /usr/share/zoneinfo-posix
mv /etc/localtime /etc/localtime.old
ln -fs /opt/share/zoneinfo-posix/Europe/Berlin /etc/localtime
ln -fs /usr/bin/esmtp /usr/sbin/sendmail
mkdir -p /opt/etc/ntp
ln -fs /etc/ntp.conf /opt/etc/ntp/ntp.conf
cd /usr/sbin
ln -fs /usr/local/sbin/ethtool ethtool
ln -fs /usr/local/sbin/makeweb makeweb
cp -f /usr/local/sbin/thttpd /usr/sbin/thttpd
cp -f /usr/local/sbin/thttpd /usr/sbin/thttpdbackup
mkdir -p /usr/share/fonts/truetype
ln -sf /usr/share/fonts/truetype /usr/local/lib/fonts
cd $ROOT
if [ -n "$PLUG" ]
then
  echo -n ""
else
  cp inst-myndiswrapper /usr/sbin/myndiswrapper
  ln -sf /usr/sbin/ndiswrapper-1.1 /usr/sbin/ndiswrapper
  cd /
  tar xzf $ROOT/inst-driver.tgz
  cd $ROOT
  ndiswrapper -i rt61.inf
  ndiswrapper -i vnwl.inf
  ndiswrapper -i rt73.inf
  ndiswrapper -i rt2500usb.inf
  ndiswrapper -i net5211.inf
  ndiswrapper -m
  depmod -a
  echo "blacklist ath5k" >>/etc/modprobe.d/blacklist
fi
cd $ROOT
