#!/bin/sh
PLUG=`fgrep /dev/sda1 /etc/fstab`
ROOT=`pwd`
mkdir -p /data/log
mkdir -p /data/graphs
mkdir -p /data/export
mkdir -p /data/transfer
mkdir -p /data/weather
mkdir -p /data/myweb/uploads
mkdir -p /data/uploads
mkdir -p /home/meteohub/update
mkdir -p /srv/www/cgi-bin
ln -fs /data/myweb /srv/www/myweb
echo -n "" >/data/log/alarm.log
#ln -sf /var/log/messages /data/log/messages
echo -n "" >/data/log/meteohub.log
echo -n "" >/data/log/ntp.log
echo -n "" >/data/log/smb.log
echo -n "" >/data/log/thttpd.log
echo -n "" >/data/log/messages
cp inst-setip /usr/sbin/setip
cp inst-htpasswd /srv/www/cgi-bin/.htpasswd
cp inst-meteohub.conf /home/meteohub/meteohub.conf
cp inst-logger.conf /home/meteohub/logger.conf
cp inst-wmr928eval.conf /home/meteohub/wmr928eval.conf
if [ -n "$PLUG" ]
then
  echo -n ""
else
  cp inst-portmap /etc/init.d/portmap
fi
cp inst-checketh0 /home/meteohub/checketh0
echo "0 1" >/home/meteohub/wswin.conf
echo "0" >/home/meteohub/wd.conf
cd /srv/www/cgi-bin
ln -fs admin.html index.html
#ln -fs /home/meteohub /home/meteohub/meteohub
cd /
tar xzf $ROOT/inst-meteohub-plug.tgz
cd $ROOT
